import { BasicService } from '../basic'

class SchoolService extends BasicService {
  protected findPageUrl(): string {
    return '/org/school/list'
  }

  protected removeUrl(): string {
    return '/org/school/delete'
  }

  protected saveOrUpdateUrl(): string {
    return '/org/school/saveOrUpdate'
  }

  protected override switchKeyValues() {
    return [
      {
        key: ['enableReferral'],
        trueValue: 1,
        falseValue: 0,
      },
    ]
  }
}

export const schoolService = new SchoolService()
